commit:     811dc2f0616b2a7f18a5340adc4b1f166a39cbac
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Fri Aug 13 08:12:54 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Fri Aug 13 08:12:54 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=811dc2f0

sys-devel/bmake: Version bump to 20210808

Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-devel/bmake/Manifest              |  1 +
 sys-devel/bmake/bmake-20210808.ebuild | 55 +++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/sys-devel/bmake/Manifest b/sys-devel/bmake/Manifest
index 9c1bfa45011..e31ca7ade63 100644
--- a/sys-devel/bmake/Manifest
+++ b/sys-devel/bmake/Manifest
@@ -1,4 +1,5 @@
 DIST bmake-20210420.tar.gz 755281 BLAKE2B 
fe98dc5d0c5a11aecf45b160cfe5b69ef49e56a973823e84ec1f607023aa94d66cd87bc3f31fc340dc86eae0a6e87ca2a71b8367f3e9bb1a9eae8626d13a80ea
 SHA512 
3bb603965c149e4f6bee4afff9710921e943bd1faaf5d142418a5f7a0752416e094b6a0f0dfc998bf6bedc391f668162856a51167e34b6f2ad2a0a498c96ed35
 DIST bmake-20210704.tar.gz 759047 BLAKE2B 
4c21941c45c826e1758c64bc60532cff3b9a727cc18658b019ce55382aad8c668a5ef9039df695629f81a334969f1a5aaf08d5924aa20576474a528fe8dbcb15
 SHA512 
b21d89753b659a70d6f5d70aa41cc2b5f5ded5a5a4a227064c938db42282d7684df9389fa1db532c2e0de11d5be1e66698388f1e1e6966153ec56330af688674
 DIST bmake-20210803.tar.gz 764905 BLAKE2B 
2a3d8378342c14ecd08e52f7ffea962641ed501b4a3157878ba57d12d38b2d14b303980db7c484d1ce7e882a2cc697338acf9ba16370cfbca176621af3348875
 SHA512 
3b93413fca2038f5a9dda5456b1b33aa8c9d21c98236628c9084f540b8caca5b57f47ffeb22c2768a8a928cfa1c0141853634c55219d33d282b8e24ca406b413
+DIST bmake-20210808.tar.gz 765029 BLAKE2B 
27ff99395e7cdc00a118ebfb5b043180ffbd9d5385b008c49baae8bf953e45e277aeb133d736bd282c1ffc08bd7c3b87b4dc23d0b188a86469116e1d94ed2409
 SHA512 
d0afb9b6a50858c330cccf57a8f8b35ddf1ea1faefc2110237e30262b35eb69c1a4918e48acc2ed3deed8b11bf87b80429d71c46366c81ceb7427a79a3e58089
 DIST mk-20210330.tar.gz 107380 BLAKE2B 
9ac30a117d9ba31635cf8d8d29fdba76f148611f47628403ca8f807081c32509f10498d3c30fd24985e5420af4710fe59fc6315d71f2d0c1cfed93263a06553a
 SHA512 
6acd3ee911442934082f4f877d795b07c5e23022eaa9c0874799d97e92a2f5a663cb45f94b7f9745c49cbbce6b7e755a29e381ccfb9e68a0be1eedbd22fd5d3b

diff --git a/sys-devel/bmake/bmake-20210808.ebuild 
b/sys-devel/bmake/bmake-20210808.ebuild
new file mode 100644
index 00000000000..5d5f1563085
--- /dev/null
+++ b/sys-devel/bmake/bmake-20210808.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MK_VER=20210330
+
+DESCRIPTION="NetBSD's portable make"
+HOMEPAGE="http://www.crufty.net/help/sjg/bmake.html";
+SRC_URI="
+       http://void.crufty.net/ftp/pub/sjg/${P}.tar.gz
+       http://void.crufty.net/ftp/pub/sjg/mk-${MK_VER}.tar.gz";
+S="${WORKDIR}/${PN}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+# Skip failing test (sandbox and csh)
+PATCHES=( "${FILESDIR}"/${PN}-20210206-tests.patch )
+
+src_prepare() {
+       default
+       cd "${WORKDIR}" || die
+       eapply "${FILESDIR}"/${PN}-20210314-mk-fixes.patch
+}
+
+src_configure() {
+       econf \
+               --with-mksrc=../mk \
+               --with-default-sys-path="${EPREFIX}"/usr/share/mk/${PN} \
+               --with-machine_arch=${ARCH}
+}
+
+src_compile() {
+       sh make-bootstrap.sh || die "bootstrap failed"
+}
+
+src_test() {
+       cd unit-tests || die
+
+       # the 'ternary' test uses ${A} internally, which
+       # conflicts with Gentoo's ${A}, hence unset it for
+       # the tests temporarily.
+       env -u A MAKEFLAGS= \
+               "${S}"/bmake -r -m / TEST_MAKE="${S}"/bmake test || die "tests 
compilation failed"
+}
+
+src_install() {
+       dobin ${PN}
+       doman ${PN}.1
+       FORCE_BSD_MK=1 SYS_MK_DIR=. \
+               sh ../mk/install-mk -v -m 644 "${ED}"/usr/share/mk/${PN} \
+               || die "failed to install mk files"
+}

Reply via email to